Public Member Functions
ChainEffector Class Reference

## Detailed Description

The ChainEffector object is part of a skeleton chain.

See also:
  ChainRoot,ChainElement

Example:

            using namespace XSI;
            Application app;
            Model root = app.GetActiveSceneRoot();

            ChainRoot myChainRoot;
            root.Add3DChain(    MATH::CVector3(0,0,0),
                                MATH::CVector3(1,0,0),
                                MATH::CVector3(0,0,1),
                                L"",
                                myChainRoot);

            ChainBone myChainBone1;
            myChainRoot.AddBone(MATH::CVector3(3,3,3),siChainBonePin,L"",myChainBone1);

            ChainBone myChainBone2;
            myChainRoot.AddBone(MATH::CVector3(6,0,0),siChainBoneBallJoint,L"",myChainBone2);

            ChainEffector myChainEffector(myChainBone2.GetEffector());

            app.LogMessage(CString(L"The chain bone name is : ") + myChainEffector.GetFullName());

`#include <xsi_chaineffector.h>`

Inheritance diagram for ChainEffector:
[legend]

List of all members.

## Public Member Functions
| ChainEffector ()
| ~ChainEffector ()
| ChainEffector (const CRef &in_ref)
| ChainEffector (const ChainEffector &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
ChainEffector & | operator= (const ChainEffector &in_obj)
ChainEffector & | operator= (const CRef &in_ref)
Joint | GetJoint () const

## Constructor & Destructor Documentation

ChainEffector | ( |  | ) |

Default constructor.

~ChainEffector | ( |  | ) |

Default destructor.

ChainEffector | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

ChainEffector | ( | const ChainEffector & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const `[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from ChainElement.

siClassID GetClassID | ( |  | ) | const `[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from ChainElement.

ChainEffector& operator= | ( | const ChainEffector & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new ChainEffector object.

ChainEffector& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new ChainEffector object.

Reimplemented from ChainElement.

Joint GetJoint | ( |  | ) | const

Returns the joint property for this bone.

Returns:
  The Joint of this bone.

The documentation for this class was generated from the following file:

- xsi_chaineffector.h